# Class: apache
#
# This module manages apache
#
# Parameters:
#
# Actions:
#
# Requires:   openssl
#
# Sample Usage:
#      include apache::package
#
#      {some module}
#     package { foo: require => Package [ $apache::pkg_name ] }
#
# 
class apache {

  $pkg_name = $operatingsystem ? {
    Debian => 'apache2',
    CentOS => 'httpd',
    default => 'httpd'
  }
  $svc_name = $operatingsystem ? {
    Debian => 'apache2',
    CentOS => 'httpd',
    default => 'httpd'
  }

}

class apache::package inherits apache {
  @package { "${pkg_name}" :
    ensure => latest,
    require => Package [openssl]
  }
  realize Package["${pkg_name}"]
  
}

class apache::service inherits apache {
  @service {
    "${svc_name}":
      ensure => running,
      enable => true

  }

  realize Packge ["${svc_name}"]

}


      
